curl --request GET \
--url http://{host}:{port}/{contextPath}/process-instance/{id}/activity-instances \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/process-instance/{id}/activity-instances"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/process-instance/{id}/activity-instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "eca75c6b-f70c-11e9-8777-e4a7a094a9d6",
"parentActivityInstanceId": null,
"activityId": "invoice:2:e9d77375-f70c-11e9-8777-e4a7a094a9d6",
"activityType": "processDefinition",
"processInstanceId": "eca75c6b-f70c-11e9-8777-e4a7a094a9d6",
"processDefinitionId": "invoice:2:e9d77375-f70c-11e9-8777-e4a7a094a9d6",
"childActivityInstances": [
{
"id": "approveInvoice:eca89509-f70c-11e9-8777-e4a7a094a9d6",
"parentActivityInstanceId": "eca75c6b-f70c-11e9-8777-e4a7a094a9d6",
"activityId": "approveInvoice",
"activityType": "userTask",
"processInstanceId": "eca75c6b-f70c-11e9-8777-e4a7a094a9d6",
"processDefinitionId": "invoice:2:e9d77375-f70c-11e9-8777-e4a7a094a9d6",
"childActivityInstances": [],
"childTransitionInstances": [],
"executionIds": [
"eca75c6b-f70c-11e9-8777-e4a7a094a9d6"
],
"activityName": "Approve Invoice",
"incidentIds": [
"648d7e21-f71c-11e9-a725-e4a7a094a9d6"
],
"incidents": [
{
"id": "648d7e21-f71c-11e9-a725-e4a7a094a9d6",
"activityId": "AttachedTimerBoundaryEvent"
}
],
"name": "Approve Invoice"
}
],
"childTransitionInstances": [],
"executionIds": [
"eca75c6b-f70c-11e9-8777-e4a7a094a9d6"
],
"activityName": "Invoice Receipt",
"incidentIds": null,
"incidents": null,
"name": "Invoice Receipt"
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Get Activity Instance
Retrieves an Activity Instance (Tree) for a given process instance by id.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the process instance for which the activity instance should be retrieved.
Response
Request successful.
A JSON object corresponding to the Activity Instance tree of the given process instance.
The id of the activity instance.
The id of the parent activity instance, for example a sub process instance.
The id of the activity.
The name of the activity
The name of the activity. This property is deprecated. Please use 'activityName'.
The type of activity (corresponds to the XML element name in the BPMN 2.0, e.g., 'userTask')
The id of the process instance this activity instance is part of.
The id of the process definition.
A list of child activity instances.
A list of child transition instances. A transition instance represents an execution waiting in an asynchronous continuation.
Show child attributes
Show child attributes
A list of execution ids.
A list of incident ids.
A list of JSON objects containing incident specific properties:
id: the id of the incidentactivityId: the activity id in which the incident occurred
Show child attributes
Show child attributes